WITH Ada.Text_IO;
WITH Ada.Integer_Text_IO;
PROCEDURE Blank_Count IS
--------------------------------------------------------------
--| Counts the number of blanks in a sentence.   
--| Author: M. B. Feldman, The George Washington University 
--| Last Modified: August 1998 
--------------------------------------------------------------

   Blank :    CONSTANT Character :=  ' ';  
   Sentinel : CONSTANT Character :=  '.';  -- sentinel char

   Next  : Character;          -- next character in sentence   
   Count : Natural;            -- number of blank characters   

BEGIN  -- Blank_Count   

  Count :=  0;                 -- Initialize Count   
  Ada.Text_IO.Put
    (Item => "Enter a sentence ending with a period.");
  Ada.Text_IO.New_Line;

  -- Process each input character up to the period   
  Ada.Text_IO.Get(Item => Next);      -- Priming read
  Ada.Text_IO.Put(Item => Next);

  LOOP
    EXIT WHEN Next = Sentinel;
    IF Next = Blank THEN
      Count := Count + 1;          -- Increment blank count   
    END IF;
    Ada.Text_IO.Get(Item => Next); -- Get next char
    Ada.Text_IO.Put(Item => Next);
  END LOOP;

  Ada.Text_IO.New_Line;
  Ada.Text_IO.Put(Item => "The number of blanks is ");
  Ada.Integer_Text_IO.Put(Item => Count, Width => 1);
  Ada.Text_IO.New_Line;

END Blank_Count;
