WITH Ada.Text_IO;
WITH Robust_Input;
WITH Ada.Integer_Text_IO;
PROCEDURE Display_Digits IS
--------------------------------------------------------------
--| Displays digits of a nonnegative integer in reverse order.
--| Author: M. B. Feldman, The George Washington University 
--| Last Modified: August 1998 
--------------------------------------------------------------
  
  Base : CONSTANT Natural := 10;      -- number system base   
  Decimal : Natural;                  -- original number
  Digit :   Natural;                  -- each digit   

BEGIN  -- Display_Digits   

  Robust_Input.Get (Item=>Decimal, MinVal=>0, MaxVal => Natural'Last);

  -- Find and display remainders of Decimal divided by 10   
  Ada.Text_IO.Put(Item=> "The digits in reverse order are ");
  LOOP
    EXIT WHEN Decimal = 0;

    Digit := Decimal REM Base;     -- Get next remainder   
    Ada.Integer_Text_IO.Put(Item => Digit, Width => 2);
    Decimal := Decimal / Base;     -- Get next quotient   

  END LOOP;

  Ada.Text_IO.New_Line;

END Display_Digits;
