FUNCTION Search (Scores: ScoreArray; ClassSize: ClassRange;
                 Target: ScoreRange) RETURN ClassRange IS

   -- Searches for Target in array Scores
   -- Pre : ClassSize and subarray Scores(1..ClassSize) are defined
   -- Post: Returns the subscript of Target if found;
   --    otherwise, returns 0

   CurrentScore: Integer;          -- array subscript

BEGIN  -- Search

  -- Compare each value in Scores to Target until done
  CurrentScore := 1;            -- Start with the first record
  LOOP
    EXIT WHEN (CurrentScore > ClassSize)
    OR ELSE (Scores(CurrentScore) = Target)
      CurrentScore := CurrentScore + 1; -- advance to next score
  END LOOP;

  -- Define the function result.
  IF CurrentScore <= ClassSize
    AND THEN Scores(CurrentScore) = Target THEN
    RETURN CurrentScore;
  ELSE
    RETURN 0;
  END IF;

END Search;


