WITH Ada.Text_IO;
WITH Ada.Integer_Text_IO;
PROCEDURE Squares_Up_and_Down IS
----------------------------------------------------------------
--| Displays a list of integer values and their squares,
--| in forward, then in reverse order
--| Author: M. B. Feldman, The George Washington University 
--| Last Modified: August 1998
----------------------------------------------------------------

  MinNum :     Positive;  -- input - smallest value to square
  MaxNum :     Positive;  -- input - largest value to square
  NumSquared : Natural;   -- output - square of Num
 
BEGIN -- Squares_Up_and_Down   

  Ada.Text_IO.Put
    (Item => "Enter the smallest positive you wish to square > ");
  Ada.Integer_Text_IO.Get(Item => MinNum);
  Ada.Text_IO.Put
    (Item => "Enter the largest positive you wish to square > ");
  Ada.Integer_Text_IO.Get(Item => MaxNum);

  Ada.Text_IO.Put(Item => "        Num    Num ** 2 ");
  Ada.Text_IO.New_Line;
  Ada.Text_IO.Put(Item => "        ---    ---------");
  Ada.Text_IO.New_Line;

  FOR Num IN MinNum..MaxNum LOOP
    NumSquared := Num ** 2; 
    Ada.Integer_Text_IO.Put (Item => Num, Width => 10);
    Ada.Integer_Text_IO.Put (Item => NumSquared, Width => 10);
    Ada.Text_IO.New_Line;
  END LOOP;
  Ada.Text_IO.New_Line;
  FOR Num IN REVERSE MinNum..MaxNum LOOP
    NumSquared := Num ** 2; 
    Ada.Integer_Text_IO.Put (Item => Num, Width => 10);
    Ada.Integer_Text_IO.Put (Item => NumSquared, Width => 10);
    Ada.Text_IO.New_Line;
  END LOOP;

END Squares_Up_and_Down;
