WITH Spider;
PROCEDURE Tour_Room IS
----------------------------------------------------------------
--| Spider takes a tour around the edges of its room.
--| Author: M. B. Feldman, The George Washington University 
--| Last Modified: July 1998
----------------------------------------------------------------

BEGIN -- Tour_Room

  Spider.Start;
  Spider.ChangeColor(NewColor => Spider.Blue);

  -- first get to a wall
  LOOP
    IF Spider.AtWall THEN
      EXIT;
    END IF;
    Spider.Step;
  END LOOP;

  -- now turn and tour the four walls
  FOR Wall IN 1..4 LOOP
    Spider.TurnRight;
    
    -- walk the length of this wall
    LOOP
      IF Spider.AtWall THEN
        EXIT;
      END IF;
      Spider.Step;
    END LOOP;
  END LOOP;

  Spider.Quit;

END Tour_Room;
